#include <doors.h>        //Compile for doors. If you didn't want it made for doors you would put #include <nostub.h>
#include <graph.h>        //The library used for drawing the text.
#include <kbd.h>          //The library used to check for key press.

int _ti89,_ti92plus;      // compile for both calcs

int _main(void)           //The start of every C program
{
  LCD_BUFFER buffer;      //Gets the screen
                          //as when you went into the program.
  int font = 2;           //Makes the variable font and makes it start out as 2
  int kbkey = 0;          //Same Idea as above and next 3 lines.
  int xx = 1;
  int yy = 5;
  int atr = 1;
  LCD_save(buffer);       //Saves the screen so when you exit the program you can load it again and it will look the same       
  
  do{                     //a do statement which is used with switch instead of doing a ton of if,else statements
    switch( kbkey ){      //checks the value of the variable kbkey
      case 43:            //compares it with 43
        if( font < 3 )    //if font is already less than 3..... (there are only 3 font sizes)
          font++;         //add 1 to font
        break;            //ends this case

      case 45:            //this part is the same as above except it takes 1 from font
        if( font > 1 )    //...
          font--;         //...
        break;            //...
      }                   //ends this switch statement
	switch( kbkey ){    //This switch statement checks to see if the right button was pressed.
      case 344:           //NOTE: the arrow keys have differant codes in C than with the Getkey() function
        if( xx < 125 )    //so the text wont go off the screen
          xx += 5;        //jumps 5 pixels to the right
        break;

      case 338:           //same thing except for it goes left
        if( xx > 1 )
          xx -= 5;
        break;
      
	case 340:           //same thing except for this moves it down
        if( yy < 93 )
          yy += 5;
        break;

      case 337:           //same thing except this moves it up
        if( yy > 1 )
          yy -= 5;
        break;
      
      case 268:           //checks for F1 key press and changes atr to 1 if it was pressed(read below to see what atr does)
        atr = 1;
        break;

      case 269:           //checks for F2 key press and changes atr to 2 if it was pressed(read below to see what atr does)
        atr = 2;
        break;
      }
    switch( font ){          //compares the value that is in the variable, font
      case 1:                //if variable font=1 then change the font to smallest
        FontSetSys(F_4x6);   //this is the command that changes the font, the sizes that can be used are F_4X6,F_6x8,F_8x10
        break;

      case 2:                //if variable font=2 then change the font to midsize
        FontSetSys(F_6x8);
        break;

      case 3:                //if variable font=3 then change the font to biggest
        FontSetSys(F_8x10);
        break;
    }
    ClrScr();                //clears the screen
    if(atr == 1) DrawStr(xx,yy,"Move Me",A_NORMAL);  //this checks to see if atr=1 if it is this makes the font black
	if(atr == 2) DrawStr(xx,yy,"Move Me",A_REVERSE);  //this checks to see if atr=2 if it is this makes the font white
    kbkey = ngetchx();            //this waits for a keypress and stores the value in kbkey
    } while( kbkey != 264 );      //all of the above in the do statement happens until the Esc key is pressed (NOTE:  != 
                                  //means not equal)

  LCD_restore(buffer);            //this restores the screen to how it was before you ran the program.

  return 0;                       //ends the program
}
